# frozen_string_literal: true

require "json"

module Groundskeeper
  # Proxy for the Rubygems API.
  class Rubygems
    VERSION_API = "https://rubygems.org/api/v1/versions/"

    # :nocov:
    def self.latest_groundskeeper_version
      out = `curl #{VERSION_API}groundskeeper-bitcore/latest.json 2>/dev/null`
      response = JSON.parse(out)

      response["version"]
    end
    # :nocov:
  end
end
