# frozen_string_literal: true

require "open-uri"

module Groundskeeper
  # A deployed website/application.
  class Website
    VERSION_PATH = "version.txt"

    attr_reader :uri

    def initialize(uri)
      @uri = uri
    end

    # :nocov:
    def version
      URI.parse("#{uri}/#{VERSION_PATH}").read
    end
    # :nocov:
  end
end
